[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: OpenSceneGraph



Here is Ben's (VTP upstream) reply regarding OSG 2.0:
> Rick,
>
> 2.0 changes the OSG API a fair deal, and doesn't have any compelling
> features that i've yet seen. Hence, not much hurry on the adoption. We'll
> probably move to it after the next VTP release.

Ralf Corsepius wrote:
On Sun, 2007-07-01 at 11:25 +0200, Hans de Goede wrote:
Ralf Corsepius wrote:
The background behind all this:
Do people consider it worth to have OSG-1 and OSG-2 packages in
parallel?
Note I'm not an OSG user, but judging from this thread, yes that sounds like the best solution.
It's an option I've been considering. Unfortunately OSG upstream has
committed a couple of decisions which render parallel installation
complicated (e.g. they dropped pkgconfig support :( )

The run-time environments/packages could rather easily be made
installable in parallel (e.g. by introducing a set of OSG-2 packages), but implementing this for the devel packages would be non-trivial.
If it really is a lot of pain to make them parallel installable,
The devel libs conflict, so the only option I see is installing OSG-2's
devel libs into a %{_libdir}/osg-2.0 subdir.
Personally, I'd rather see the OSG-1 libs in an osg-1.0 subdir, and basically treat the OSG-1 packages as legacy packages. That way, the OpenSceneGraph package can just move ahead to 2.0 and packages that need OSG-1 will have to explicitly state it.

why not make the -devel packages conflict each other?
That's one option.
I rather not see that.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]